package com.atlassian.bitbucket.mesh.app;

import javax.annotation.Nonnull;
import java.nio.file.Path;
import java.util.HashMap;
import java.util.Map;

public class BitbucketProperties {

    private final Map<String, Path> dataStores;

    private Path sharedHome;

    public BitbucketProperties() {
        dataStores = new HashMap<>();
    }

    @Nonnull
    public Map<String, Path> getDataStores() {
        return dataStores;
    }

    @Nonnull
    public Path getSharedHome() {
        return sharedHome;
    }

    public void setSharedHome(Path sharedHome) {
        this.sharedHome = sharedHome;
    }
}
